QGIS Application - Bug report #12498
Python console crash QGIS if undocked while autocompletion active
2015-04-02 02:39 AM - Roy Roge

Status: Closed

Priority: High

Assignee:

Category: PyQGIS Console

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 20644
Description

Step to reproduce:
- open python console
- start writing a line so that the auto completion menu opens
- without choosing any entry undock the python console (the auto completion menu is still open)
- left click into the console leads QGIS to crash.

best, Roy.

History

#1 - 2015-05-27 07:58 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2016-06-06 10:35 AM - Matthias Kuhn

Does not seem to be an easy fix.

| think it boils down to this upstream bug report:
https://bugreports.qt.io/browse/QTBUG-22605

Removing "Qt::WA_StaticContents should resolve the crash, but as far as | can see, this flag is set internally by QScintilla we don't actually use it a lot in
QGIS.

The upstream report mentions that "the crash is no longer reproducible" without more details, so we can only assume that it has been resolve in Qt in some

release of the 5-series...

#3 - 2016-06-06 10:42 AM - Matthias Kuhn

Apparently not... QGIS with Qt 5.6 crashes as well.

#4 - 2017-03-06 04:46 PM - Giovanni Manghi

- Target version set to Version 3.0

- Affected QGIS version changed from 2.8.1 to master

#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
https://bugreports.qt.io/browse/QTBUG-22605

#6 - 2018-11-08 01:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#7 - 2019-02-11 04:22 AM - Nyall Dawson
- Resolution set to no timely feedback

- Description updated

- Status changed from Feedback to Closed
